/*****************************************************************************
* Catalyst F100Z Sample Codes
* GPIO Blinky Sample
* Version : 1.0.0
* R&D : Digitronic.ir Team			12/02/16
* www.ECA.ir
* www.Eshop.ECA.ir
* www.Forum.ECA.ir
*****************************************************************************/

#include "stm32f10x.h"
#include "delay.h"

GPIO_InitTypeDef  GPIO_InitStructure;

int main(void)
{
	RCC_APB2PeriphClockCmd(	RCC_APB2Periph_GPIOC, ENABLE );

	/* Configure PC0 in output pushpull mode */
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_Init(GPIOC, &GPIO_InitStructure);
	
	while (1)
	{
		/* Set PC0 */
		GPIOC->BSRR = GPIO_Pin_0;
		delay_ms(500);
		
		/* Reset PC0 */
		GPIOC->BRR = GPIO_Pin_0;
		delay_ms(500);	
	}
}
